Bug 485757 - Traceback trying to launch guest in rawhide
Traceback trying to launch guest in rawhide
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: koan (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 12:57 EST by Jesse Keating
Modified: 2013-01-09 22:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 11:26:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Rendered ks file (1.85 KB, text/plain)
2009-02-16 12:57 EST, Jesse Keating
no flags Details

  None (edit)
Description Jesse Keating 2009-02-16 12:57:00 EST
Created attachment 332074 [details]
Rendered ks file

$ rpm -q libvirt cobbler koan
libvirt-0.6.0-3.fc11.x86_64
cobbler-1.4.2-1.fc11.noarch
koan-1.4.2-1.fc11.noarch


$ sudo koan --server localhost --virt --profile=rawhide-nfs-x86_64 --virt-path /dev/data/rawkvm --virt-name rawkvm
[sudo] password for jkeating: 
- reading URL: http://192.168.10.10/cblr/svc/op/ks/profile/rawhide-nfs-x86_64
install_tree: nfs://reducio:/srv/mirror/development/x86_64/os/
libvirtd (pid  30505) is running...
- using qemu hypervisor, type=kvm
<type 'exceptions.AttributeError'>
'NoneType' object has no attribute 'getURI'
  File "/usr/lib/python2.6/site-packages/koan/app.py", line 191, in main
    k.run()
   File "/usr/lib/python2.6/site-packages/koan/app.py", line 408, in run
    self.virt()
   File "/usr/lib/python2.6/site-packages/koan/app.py", line 683, in virt
    return self.net_install(after_download)
   File "/usr/lib/python2.6/site-packages/koan/app.py", line 602, in net_install
    after_download(self, profile_data)
   File "/usr/lib/python2.6/site-packages/koan/app.py", line 681, in after_download
    self.virt_net_install(profile_data)
   File "/usr/lib/python2.6/site-packages/koan/app.py", line 1107, in virt_net_install
    virt_type     =  self.virt_type
   File "/usr/lib/python2.6/site-packages/koan/qcreate.py", line 96, in start_install
    guest.location = profile_data["install_tree"]
   File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 767, in set_location
    self._installer.location = val
   File "/usr/lib/python2.6/site-packages/virtinst/DistroManager.py", line 256, in set_location
    User.current().has_priv(User.PRIV_NFS_MOUNT, self.conn.getURI())):

ks is attached.
Comment 1 Michael DeHaan 2009-02-16 12:59:27 EST
Can you please attach your cobbler distro record too?   Thanks!
Comment 2 Jesse Keating 2009-02-16 13:45:46 EST
[jkeating@reducio ~]$ cat /var/lib/cobbler/config/distros.d/rawhide-nfs-x86_64 
---
arch: x86_64
breed: redhat
comment: fedora10.91
ctime: 1233096663.69
depth: 0
initrd: /srv/mirror/development/x86_64/os/images/pxeboot/initrd.img
kernel: /srv/mirror/development/x86_64/os/images/pxeboot/vmlinuz
kernel_options: {}
kernel_options_post: {}
ks_meta:
    tree: 'nfs://reducio:/srv/mirror/development/x86_64/os/'
mgmt_classes: []
mtime: 1233096664.59
name: rawhide-nfs-x86_64
os_version: fedora10
owners:
    - admin
parent: ''
redhat_management_key: <<inherit>>
source_repos: []
template_files: {}
tree_build_time: 1233043434.75
uid: MTIzMzA5NjY2My42OTc4MDg5MzQuOTQ3MzI


[jkeating@reducio ~]$ cat /var/lib/cobbler/config/profiles.d/rawhide-nfs-x86_64 
---
comment: ''
ctime: 1233096663.88
depth: 1
dhcp_tag: default
distro: rawhide-nfs-x86_64
enable_menu: True
kernel_options: {}
kernel_options_post: {}
kickstart: /var/lib/cobbler/kickstarts/sample_end.ks
ks_meta: {}
mgmt_classes: []
mtime: 1233096663.88
name: rawhide-nfs-x86_64
name_servers: ''
owners:
    - admin
parent: ''
redhat_management_key: <<inherit>>
repos: []
server: <<inherit>>
template_files: {}
uid: MTIzMzA5NjY2My44ODg5NzExNTguMTI5NDk
virt_bridge: br0
virt_cpus: 1
virt_file_size: 5
virt_path: ''
virt_ram: 1024
virt_type: qemu
Comment 3 Bug Zapper 2009-06-09 07:25:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 08:59:14 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jesse Keating 2010-04-27 11:26:15 EDT
Can't reproduce, killing.

Note You need to log in before you can comment on or make changes to this bug.